Subject: bug#30788: 27.0.50; Getting 'char-displayable-p: Invalid hash table rehash size: 1.0' when starting emacs -Q

From: Peter Dyballa <[email-masked]>
Date: Fri, 4 May 2018 23:58:17 +0200

Hello!

I am getting the same error after restarting my Mac. Reason was a set of updates for macOS High Sierra, Version 10.13.4. Only the X variant is hit, the NS variant has no problems at all.

Another change that happened recently is an upgrade of fontconfig to version 2.13.0.

The GNU Emacs 27.0.50 source is fetched with command "/usr/bin/git checkout -q 0bddbbc5aae621d5875880ac3e63f68d481df7c3" (whatever this means, the MacPorts package manager associates it with 20170918). The error remains even when re-compiling under the recent situation.

The GNU Emacs 27.0.50 launched weeks before the two updates worked OK with LANG=de_DE.UTF-8 LC_CTYPE=de_DE.UTF-8.

Configured using:
'configure --prefix=/opt/local --without-ns --without-dbus
--without-gconf --without-libotf --without-m17n-flt --without-gpm
--without-gnutls --with-xml2 --with-modules
'--enable-locallisppath=/Library/Application
Support/Emacs/calendar27:/Library/Application Support/Emacs' --infodir
/opt/local/share/info/emacs --with-ns CC=/usr/bin/clang 'CFLAGS=-pipe
-Os -arch x86_64' 'LDFLAGS=-L/opt/local/lib
-Wl,-headerpad_max_install_names -Wl,-no_pie -arch x86_64'
CPPFLAGS=-I/opt/local/include OBJC=/usr/bin/clang 'OBJCFLAGS=-pipe -Os
-arch x86_64''

Configured features:
JPEG RSVG IMAGEMAGICK NOTIFY ACL LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS
MODULES LCMS2

Important settings:
 value of $LANG: de_DE.UTF-8
 locale-coding-system: utf-8-unix

--
Greetings

 Pete

"If I can't dance to it, it's not my revolution.“
				– A t-shirt designed by Jack Frager